%define oname   syncthing_gtk

Name:           syncthing-gtk
Version:        0.9.2.4
Release:        %mkrel 1
Summary:        GTK+3 & python based GUI and notification area icon for Syncthing
Group:          Networking/File transfer
License:        GPLv2+
URL:            https://github.com/syncthing/syncthing-gtk
Source0:        https://github.com/syncthing/syncthing-gtk/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pythonegg(2)(setuptools)
Requires:       psmisc
Requires:       python-dateutil
Requires:       python-gi-cairo
Requires:       syncthing >= 0.12
Recommends:     python-pyinotify

%description
GTK+3 & python based GUI and notification area icon for Syncthing,
the open source file transfer and sync application.

It exposes similar features to that of the Web UI of Syncthing,
but in a native application. It also has additional features like
first run wizard, desktop notifications, file system integration, etc.

%prep
%autosetup

%build
%py2_build

%install
%py2_install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}*.png
%{_iconsdir}/hicolor/*/status/si-syncthing-*.png
%{_iconsdir}/hicolor/64x64/emblems/emblem-syncthing*.png
%{_mandir}/man1/%{name}.1*
%{python2_sitelib}/%{oname}/
%{python2_sitelib}/%{oname}-v%{version}-py%{python2_version}.egg-info


%changelog
* Wed Feb 01 2017 akien <akien> 0.9.2.4-1.mga6
+ Revision: 1084518
- imported package syncthing-gtk

